UnknownPluginException (Gradle API 9.7.0)
Description: declaration: package: org.gradle.api.plugins, class: UnknownPluginException

# Class UnknownPluginException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.api.InvalidUserDataException
org.gradle.api.plugins.UnknownPluginException

All Implemented Interfaces:
  `Serializable`

public class UnknownPluginException extends InvalidUserDataException
A `UnknownPluginException` is thrown when an unknown plugin id is provided.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnknownPluginException(String message)`
  `UnknownPluginException(String message, @Nullable String pluginId)`
  Creates an exception with the given message, carrying the id of the plugin that could not be found.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable String`
  `getPluginId()`
  Returns the id of the plugin that could not be found, if it is known.

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnknownPluginException

    public UnknownPluginException(String message)

  - ### UnknownPluginException

    @Incubating public UnknownPluginException(String message, @Nullable String pluginId)
    Creates an exception with the given message, carrying the id of the plugin that could not be found.
    Parameters:
      `message` - the exception message
      `pluginId` - the id of the plugin that could not be found, or `null` if it is not known
    Since:
      9.7.0

- ## Method Details

  - ### getPluginId

    @Incubating public @Nullable String getPluginId()
    Returns the id of the plugin that could not be found, if it is known.
    Returns:
      the missing plugin id, or `null` if it is not known
    Since:
      9.7.0